
local o = SimpleCoordinates;

-- GUI_t_Init: ()
-- GUI_t_CreateStaticButton: staticButton = ()
-- GUI_t_CreateMobileFrame: mobileFrame = ()

function o.GUI_t_Init()
	o.GUI_t_Init = nil;

	
	local frame = CreateFrame("Frame", "SimpleCoordinates_WorldMapLocsFrame", WorldMapFrame, nil);
	frame:Show();
	frame:SetWidth(450);
	frame:SetHeight(28);
	frame:SetClampedToScreen(true);
	frame:SetPoint("BOTTOM", WorldMapFrame, "BOTTOM", 0, 5);
	frame:SetPoint("BOTTOM", WorldMapFrame, "BOTTOM", -74, -45);
	frame:SetBackdrop({
		bgFile = ("Interface/DialogFrame/UI-DialogBox-Background");
		edgeFile = ("Interface/DialogFrame/UI-DialogBox-Border");
		tile = true; tileSize = 32; edgeSize = 16;
		insets = { left = 2; right = 3; top = 3; bottom = 2; };
	});
	frame:SetScript("OnUpdate", o.Coordinates_WorldMapLocsFrame_OnUpdate);
	
	local playerLoc = frame:CreateFontString("SimpleCoordinates_WorldMapLocsFramePlayerLocText", "ARTWORK", "SystemFont_Med2");
	playerLoc:SetFont("SystemFont_Med2", 12);
	playerLoc:SetTextColor(0.93, 0.8, 0);
	playerLoc:SetJustifyH("LEFT");
	playerLoc:SetShadowColor(0, 0, 0)
	playerLoc:SetShadowOffset(1, -1)
	playerLoc:SetPoint("LEFT", frame, "LEFT", 21, 0);
	playerLoc:SetFormattedText(o.Localization.FORMAT_PLAYER, 0, 0);

	local staticLoc = frame:CreateFontString("SimpleCoordinates_WorldMapLocsFrameStaticLocText", "ARTWORK", "SystemFont_Med2");
	staticLoc:SetTextColor(0.93, 0.8, 0);
	staticLoc:SetJustifyH("RIGHT");
	staticLoc:SetShadowColor(0, 0, 0)
	staticLoc:SetShadowOffset(1, -1)
	staticLoc:SetPoint("RIGHT", frame, "RIGHT", -20, 0);
	staticLoc:SetText(o.Localization.FORMAT_STATIC_BLANK);
	

	local cursorLoc = frame:CreateFontString("SimpleCoordinates_WorldMapLocsFrameCursorLocText", "ARTWORK", "SystemFont_Med2");
	cursorLoc:SetTextColor(0.93, 0.8, 0);
	cursorLoc:SetJustifyH("CENTER");
	cursorLoc:SetShadowColor(0, 0, 0)
	cursorLoc:SetShadowOffset(1, -1)
	cursorLoc:SetPoint("CENTER", frame, "CENTER", 2, 0);
	cursorLoc:SetFormattedText(o.Localization.FORMAT_CURSOR, 0, 0);
	
end




function o.GUI_t_CreateStaticButton()
	o.GUI_t_CreateStaticButton = nil;
	
	local staticButton = CreateFrame("Frame", "SimpleCoordinates_StaticButton", WorldMapDetailFrame, nil);
	staticButton:Hide();
	staticButton:EnableMouse(false);
	staticButton:SetWidth(27);
	staticButton:SetHeight(27);
	local staticButtonTexture = staticButton:CreateTexture("SimpleCoordinates_StaticButtonTexture", "ARTWORK", nil);
	staticButtonTexture:SetAllPoints(staticButton);
	staticButtonTexture:SetTexture("Interface\\AddOns\\SimpleCoordinates\\StaticButton");
	
	return staticButton;
end




function o.GUI_t_CreateMobileFrame()
	o.GUI_t_CreateMobileFrame = nil;
	
	local mobileFrame = CreateFrame("Frame", "SimpleCoordinates_MobileLocsFrame", UIParent, nil);
	mobileFrame:SetFrameStrata("LOW");
	mobileFrame:SetWidth(81);
	mobileFrame:SetHeight(25);
	mobileFrame:EnableMouse(true);
	mobileFrame:SetMovable(true);
	mobileFrame:SetPoint("CENTER", UIParent, "CENTER", 0, 0);
	mobileFrame:SetBackdrop({
		bgFile = ("Interface/DialogFrame/UI-DialogBox-Background");
		edgeFile = ("Interface/DialogFrame/UI-DialogBox-Border");
		tile = true; tileSize = 32; edgeSize = 16;
		insets = { left = 2; right = 3; top = 3; bottom = 2; };
	});
	mobileFrame:RegisterForDrag("LeftButton", "RightButton");
	mobileFrame:SetScript("OnDragStart", mobileFrame.StartMoving);
	mobileFrame:SetScript("OnDragStop", o.Coordinates_MobileLocsFrame_OnDragStop);
	mobileFrame:SetScript("OnUpdate", o.Coordinates_MobileLocsFrame_OnUpdate);
	
	local mobilePlayerLoc = mobileFrame:CreateFontString("SimpleCoordinates_MobileLocsFramePlayerLocText", "OVERLAY", "GameFontNormalSmall");
	mobilePlayerLoc:SetJustifyH("LEFT");
	mobilePlayerLoc:SetTextColor(0.0, 0.7, 0.7);
	mobilePlayerLoc:SetPoint("LEFT", mobileFrame, "LEFT", 7, 0);
	mobilePlayerLoc:SetText("??,??");
	
	local mobileStaticLoc = mobileFrame:CreateFontString("SimpleCoordinates_MobileLocsFrameStaticLocText", "OVERLAY", "GameFontNormalSmall");
	mobileStaticLoc:SetJustifyH("RIGHT");
	mobileStaticLoc:SetTextColor(1.0, 0.6, 0.0);
	mobileStaticLoc:SetPoint("RIGHT", mobileFrame, "RIGHT", -7, 0);
	mobileStaticLoc:SetText("??,??");
	
	return mobileFrame;
end
